USE [master]
GO

/****** Object:  Database [AJAXExample]    Script Date: 10/06/2011 10:56:44 ******/
CREATE DATABASE [AJAXExample] ON  PRIMARY 
( NAME = N'AJAXExample', FILENAME = N'c:\Program Files\Microsoft SQL Server\MSSQL10.SQLEXPRESS\MSSQL\DATA\AJAXExample.mdf' , SIZE = 2048KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'AJAXExample_log', FILENAME = N'c:\Program Files\Microsoft SQL Server\MSSQL10.SQLEXPRESS\MSSQL\DATA\AJAXExample_log.ldf' , SIZE = 1024KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO

ALTER DATABASE [AJAXExample] SET COMPATIBILITY_LEVEL = 100
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [AJAXExample].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [AJAXExample] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [AJAXExample] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [AJAXExample] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [AJAXExample] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [AJAXExample] SET ARITHABORT OFF 
GO

ALTER DATABASE [AJAXExample] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [AJAXExample] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [AJAXExample] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [AJAXExample] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [AJAXExample] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [AJAXExample] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [AJAXExample] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [AJAXExample] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [AJAXExample] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [AJAXExample] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [AJAXExample] SET  DISABLE_BROKER 
GO

ALTER DATABASE [AJAXExample] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [AJAXExample] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [AJAXExample] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [AJAXExample] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [AJAXExample] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [AJAXExample] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [AJAXExample] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [AJAXExample] SET  READ_WRITE 
GO

ALTER DATABASE [AJAXExample] SET RECOVERY SIMPLE 
GO

ALTER DATABASE [AJAXExample] SET  MULTI_USER 
GO

ALTER DATABASE [AJAXExample] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [AJAXExample] SET DB_CHAINING OFF 
GO




USE [AJAXExample]
GO

/****** Object:  Table [dbo].[State]    Script Date: 10/06/2011 10:59:52 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[State](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[Name] [varchar](50) NOT NULL,
	[Abbreviation] [varchar](2) NOT NULL,
	[Description] [varchar](250) NULL,
	[StateBird] [varchar](50) NULL,
 CONSTRAINT [PK_State] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO




USE [AJAXExample]
GO

/****** Object:  Table [dbo].[Resident]    Script Date: 10/06/2011 10:55:55 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[Resident](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[FirstName] [varchar](50) NOT NULL,
	[MiddleName] [varchar](50) NULL,
	[LastName] [varchar](50) NOT NULL,
	[StateID] [int] NOT NULL,
	[Occupation] [varchar](50) NULL,
 CONSTRAINT [PK_Resident] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[Resident]  WITH CHECK ADD  CONSTRAINT [FK_Resident_State] FOREIGN KEY([StateID])
REFERENCES [dbo].[State] ([ID])
GO

ALTER TABLE [dbo].[Resident] CHECK CONSTRAINT [FK_Resident_State]
GO